
Redmine - Defect #31771

Cannot filter projects by Client and Project Manager as normal user

2019-07-22 16:43 - Marek Kamiński

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.4

Description

Hey,

I can't filter projects as normal user by Client and Project Manager. Other filters works perfectly. I can filter as admin but not as

normal user. Do you have any clue how to solve it?

Here is output from log (i think so):

Started GET "/queries/filter?type=FavoriteProjectsQuery&name=cf_13" for 192.168.1.10 at 2019-07-22 16:32:25 +0200

Processing by QueriesController#filter as JSON

Parameters: {"type"=>"FavoriteProjectsQuery", "name"=>"cf_13"}

Current user: username (id=170)

Rendering common/error.html.erb

Rendered common/error.html.erb (0.1ms)

Completed 403 Forbidden in 11ms (Views: 0.5ms | ActiveRecord: 6.6ms)

History

#1 - 2019-07-22 16:49 - Marek Kamiński

These Project manager and Client are custom fields

#2 - 2020-01-06 02:34 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine does not have an object with the name "FavoriteProjectsQuery".

You are talking about the feature added by some plugin, aren't you? Please contact the author of the plugin.
